<template>
    <div class="main_page">
        <section class="first_section section" ref="firstSection">

            <transition name="showBackgroundImg">
                <img class="image_background ie-image" :src="currentBackgroundSrc" alt="" v-if="backgroundChanged" >
            </transition>

            <app-header class="fixed_header"
                        theme="dark_theme"
                        id="header"
            ></app-header>
            <div class="first_section-content section-content row col-12">

                <div    class="first_section-content-company_name"
                        @mouseenter="changeBackgroundImage(1)"
                >
                    <p  class=" first_section-content-company_name nice_text ie-dark-title" v-html="$t('main.header')"></p>
                    <p class="first_section-content-company_name-bg nice_text-bg ie-darkbg" v-html="$t('main.header')"></p>
                </div>
                <div class="first_section-content-bottom col-11 row">
            <span class="first_section-content-bottom-item col-6 col-md-auto"
                @mouseenter="changeBackgroundImage(2)"
                  v-html="$t('main.title_left')"
            >
            </span>
            <span class="first_section-content-bottom-item col-6 col-md-auto"
                  @mouseenter="changeBackgroundImage(3)"
                  v-html="$t('main.title_center')"
            ></span>
             <span class="first_section-content-bottom-item col-12 col-md-auto" v-html="$t('main.title_right')">
                <i></i>
              </span>
                </div>
            </div>
        </section>

        <section class="second_section section" id="second_section">
            <div class="second_section-content section-content col-12 row">
                <p class="second_section-content-title col-12 col-md-4" v-html="$t('main.first_block_header')"></p>
                <div class="second_section-content-features col-12 col-md-8 row">


                    <div class="second_section-content-features-item col-6">
                        <div class="second_section-content-features-item-title">
                            <p class="second_section-content-features-item-title nice_text ie-light-title"  v-html="$t('main.first_block_subtitle1')"></p>
                            <p class="second_section-content-features-item-title nice_text-bg ie-lightbg"  v-html="$t('main.first_block_subtitle1')"></p>
                        </div>
                        <ul>
                            <li v-html="$t('main.subtitle1_text1')"></li>
                            <li v-html="$t('main.subtitle1_text2')"></li>
                            <li v-html="$t('main.subtitle1_text3')"></li>
                        </ul>
                    </div>

                    <div class="second_section-content-features-item col-6">
                        <div class="second_section-content-features-item-title" >
                            <p class="second_section-content-features-item-title nice_text ie-light-title"  v-html="$t('main.first_block_subtitle2')"></p>
                            <p class="second_section-content-features-item-title nice_text-bg ie-lightbg"  v-html="$t('main.first_block_subtitle2')"></p>
                        </div>
                        <ul>
                            <li v-html="$t('main.subtitle2_text1')"></li>
                            <li v-html="$t('main.subtitle2_text2')"></li>
                            <li v-html="$t('main.subtitle2_text3')"></li>
                        </ul>
                    </div>

                    <div class="second_section-content-features-item col-6">
                        <div class="second_section-content-features-item-title">
                            <p class="second_section-content-features-item-title nice_text ie-light-title"   v-html="$t('main.first_block_subtitle3')"></p>
                            <p class="second_section-content-features-item-title nice_text-bg wrapped ie-lightbg"   v-html="$t('main.first_block_subtitle3')"></p>
                        </div>
                        <ul>
                            <li v-html="$t('main.subtitle3_text1')"></li>
                            <li v-html="$t('main.subtitle3_text2')"></li>
                            <li v-html="$t('main.subtitle3_text3')"></li>
                            <li v-html="$t('main.subtitle3_text4')"></li>
                        </ul>
                    </div>

                    <div class="second_section-content-features-item col-6">
                        <div class="second_section-content-features-item-title" >
                            <p class="second_section-content-features-item-title nice_text ie-light-title"   v-html="$t('main.first_block_subtitle4')"></p>
                            <p class="second_section-content-features-item-title nice_text-bg ie-lightbg"   v-html="$t('main.first_block_subtitle4')"></p>
                        </div>
                        <ul>
                            <li v-html="$t('main.subtitle4_text1')"></li>
                            <li v-html="$t('main.subtitle4_text2')"></li>
                        </ul>
                    </div>

                </div>
            </div>
        </section>

        <section class="third_section section" id="third_section">
            <div class="third_section-content section-content col-12 row">
                <p class="third_section-content-title col-12 col-md-4" v-html="$t('main.second_block_header')"></p>
                <div class="third_section-content-solutions col-12 col-md-8 row">

                    <div class="third_section-content-solutions-item col-12">
                        <div class="third_section-content-solutions-item-title col-6 col-md-6 nice_text">
                            <p class="ie-white-title"  v-html="$t('main.second_block_subtitle1')"></p>
                            <p class="nice_text-bg ie-lightbg"  v-html="$t('main.second_block_subtitle1')"></p>
                        </div>
                        <p class="third_section-content-solutions-item-description col-6 col-md-6" v-html="$t('main.subtitle1_text')"></p>
                    </div>
                    <div class="third_section-content-solutions-item col-12">
                        <div class="third_section-content-solutions-item-title col-6 nice_text" >
                            <p class="ie-white-title" v-html="$t('main.second_block_subtitle2')"></p>
                            <p class="nice_text-bg ie-lightbg" v-html="$t('main.second_block_subtitle2')"></p>
                        </div>
                        <p class="third_section-content-solutions-item-description col-6" v-html="$t('main.subtitle2_text')"></p>
                    </div>
                    <div class="third_section-content-solutions-item col-12">
                        <div class="third_section-content-solutions-item-title col-6 nice_text">
                            <p  class="ie-white-title" v-html="$t('main.second_block_subtitle3')"></p>
                            <p class="nice_text-bg ie-lightbg" v-html="$t('main.second_block_subtitle3')"></p>
                        </div>
                        <p class="third_section-content-solutions-item-description col-6" v-html="$t('main.subtitle3_text')"></p>
                    </div>
                    <div class="third_section-content-solutions-item col-12">
                        <p class="third_section-content-solutions-item-find_out">
                            {{ $t('main.learn_more') }}
                            <i></i>
                        </p>
                        <div class="third_section-content-solutions-item-title col-6 nice_text">
                            <p class="ie-white-title"  v-html="$t('main.second_block_subtitle4')"></p>
                            <p class="nice_text-bg ie-lightbg"  v-html="$t('main.second_block_subtitle4')"></p>
                        </div>
                        <p class="third_section-content-solutions-item-description col-6" v-html="$t('main.subtitle4_text')"></p>
                    </div>

                </div>
            </div>
        </section>

        <section class="fourth_section section" id="fourth_section">
            <div class="fourth_section-content section-content col-12 row">
                <div class="fourth_section-content-title_wrap col-12 col-md-4">
                    <p class="fourth_section-content-title_wrap-promo ie-wrap" v-html="$t('main.third_block_header')"
                    style="max-width: 420px; word-break: break-word"
                    ></p>
                    <div class="fourth_section-content-title_wrap-text nice_text" >
                        <p class="ie-grey-title" v-html="$t('main.third_block_subtitle')"></p>
                        <p class="nice_text-bg ie-lightbg"  v-html="$t('main.third_block_subtitle')"></p>
                    </div>
                </div>
                <div class="fourth_section-content-features row col-12 col-md-8">
                    <p class="fourth_section-content-features-item col-6" v-html="$t('main.third_block_text1')"></p>
                    <p class="fourth_section-content-features-item col-6" v-html="$t('main.third_block_text2')"></p>
                    <p class="fourth_section-content-features-item col-6" v-html="$t('main.third_block_text3')"></p>
                    <p class="fourth_section-content-features-item col-6" v-html="$t('main.third_block_text4')"></p>
                </div>
                <app-footer></app-footer>
            </div>
        </section>
    </div>
</template>

<script>
    import AppHeader from "./AppHeader"
    import AppFooter from "./AppFooter"
    export default {
        data: ()=>({
            currentBackgroundSrc: 0,
            backgroundChanged: false
        }),
        components: {
            AppHeader,
            AppFooter
        },
        mounted () {
            window.addEventListener('scroll', this.onScroll)
        },
        beforeDestroy () {
            window.removeEventListener('scroll', this.onScroll)
        },
        methods: {
            changeBackgroundImage(number) {
                if (this.currentBackgroundSrc !== `img/bg-0${number}.png`) this.backgroundChanged = false;
                setTimeout(()=>{
                    if (this.currentBackgroundSrc !== `img/bg-0${number}.png`) {
                        this.backgroundChanged = true;
                        this.currentBackgroundSrc = `img/bg-0${number}.png`;
                    }

                }, 400)
            },
            onScroll () {
                const fixedHeader = document.getElementById('header')
                const secondBlockTop = document.getElementById('second_section').getBoundingClientRect().top
                const thirdBlockTop = document.getElementById('third_section').getBoundingClientRect().top
                const fourthBlockTop = document.getElementById('fourth_section').getBoundingClientRect().top

                if (secondBlockTop > 80) {
                    fixedHeader.classList.remove("light_theme", "light_theme__wb");
                    fixedHeader.classList.add("dark_theme");
                }
                if (secondBlockTop <= 80) {
                    fixedHeader.classList.remove("dark_theme");
                    fixedHeader.classList.add("light_theme__wb");
                }
               if (thirdBlockTop <= 80) {
                   fixedHeader.classList.remove("light_theme__wb");
                   fixedHeader.classList.add("light_theme");
                }
               if (fourthBlockTop <= 80) {
                   fixedHeader.classList.remove("light_theme");
                   fixedHeader.classList.add("dark_theme");
               }
            }
        }
    }
</script>

<style lang="sass">
    //vue анимации для смены фона первой секции
    .showBackgroundImg-enter
        opacity: 0
    .showBackgroundImg-enter-active
         transition: all 0.7s
    .showBackgroundImg-leave-active
        opacity: 0
        transition: all 0.7s

    //переменные
    $maxWidth: 1280px
    $inititalHeight: 100vh
    $opensans: "Open Sans", sans-serif
    $montserrat: "Montserrat", sans-serif

    //шаблоны стилей
    %section-title
        font-size: 70px
        line-height: 1.4
        color: #47474b
        font-weight: 900
        padding: 0
    %item-title
        font-size: 35px
        -webkit-text-stroke: 1px #898a94
        font-weight: bold
        overflow: hidden
        position: relative
        color: transparent
        .nice_text-bg
            background: #898a94
            -webkit-background-clip: text
            position: absolute
            z-index: 99
            top: 0
            left: 0
            margin: 0
            width: 0
            white-space: nowrap
            overflow: hidden
            transition: all 0.2s

    body
        margin: 0
        font-family: $montserrat
        p
            margin: 0
    .row
        margin-left: 0
    .section
        height: $inititalHeight
        align-items: center
        display: flex
        &-content
            max-width: $maxWidth
            padding: 40px 0 0 0
            margin: 0 auto
            height: 100%
    .nice_text
        @extend %item-title

    .first_section
        padding-top: 50px
        background: #2f2f32
        background-size: cover
        transition: all 0.8s
        .image_background
            position: absolute
            width: auto
            min-width: 100%
            max-height: 100%
        &-content
            &-company_name
                min-height: 340px
                padding-left: 2px
                font-size: 170px
                -webkit-text-stroke: 2px #fff
                margin: 0
                line-height: 0.89
                font-weight: bold
                transition: all 0.5s
                overflow: hidden
                position: relative
                color: transparent
                /*height: fit-content*/
                &:hover
                    cursor: pointer
                .nice_text-bg
                    background-color: #fff
                &-bg
                    min-height: 340px
                    padding-left: 2px
                    background: #fff
                    -webkit-background-clip: text
                    position: absolute
                    z-index: 99
                    top: 0
                    left: 0
                    margin: 0
                    width: 0
                    white-space: nowrap
                    overflow: hidden
            &-bottom
                justify-content: space-between
                padding: 0
                display: flex
                height: fit-content
                font-size: 24px
                color: #fff
                span
                    display: flex
                    align-items: flex-end
                    line-height: 1.5
                    padding: 30px 0
                    /*margin-right: 127px*/
                span:last-of-type
                    margin-right: 0
                    i
                        display: inline-block
                        width: 7px
                        height: 7px
                        background-color: #fff
                        margin-bottom: 0.4em
                        margin-left: 20px
    .second_section
        height: auto
        min-height: 100vh
        background-color: #f1f1f1
        &-content
            &-title
                @extend %section-title

            &-features
                padding: 40px 0 75px 75px
                &-item
                    padding: 0
                    &:nth-of-type(2n)
                        padding-left: 75px
                    &-title
                        @extend %item-title
                    ul
                        padding: 0
                        list-style-type: none
                        li
                            padding-left: 25px
                            line-height: 1.63
                            position: relative
                            &:before
                                content: ''
                                display: inline-block
                                width: 10px
                                height: 2px
                                background-color: #47474b
                                position: absolute
                                left: 0
                                top: 12px
                        li:not(:last-of-type)
                            margin-bottom: 20px
                &-item:first-of-type
                    margin-bottom: 80px
    .third_section
        min-height: 100vh
        height: auto!important
        &-content
            &-title
                @extend %section-title
            &-solutions
                padding: 40px 0 0 75px
                &-item
                    display: flex
                    padding: 0
                    &-find_out
                        position: absolute
                        font-size: 24px
                        font-weight: normal
                        color: #47474b
                        right: 130%
                        top: 10px
                        width: 200px
                        display: flex
                        align-items: flex-end
                        i
                            display: inline-block
                            width: 6px
                            height: 6px
                            background-color: #000
                            margin-left: 20px
                            margin-bottom: 5px
                    &-title
                        @extend %item-title
                        padding: 0
                    &-description
                        font-size: 24px
                        padding: 0 0 0 75px
                &-item:not(:last-of-type)
                    margin-bottom: 80px
    .fourth_section
        background-color: #2f2f32
        &-content
            &-title_wrap
                padding: 0
                &-promo
                    @extend %section-title
                    color: #fff
                    margin-bottom: 40px
                    line-height: 0.9
                &-text
                    @extend %item-title
                    .nice_text-bg
                        background-color: #898a94
            &-features
                color: #fff
                line-height: 1.5
                font-size: 24px
                height: fit-content
                padding: 0 0 0 75px
                &-item
                    padding-right: 0
                &-item:first-of-type
                    margin-bottom: 100px
                &-item:nth-of-type(2n)
                    padding-left: 75px

    @media screen and (max-width: 1366px)
        %section-title
            font-size: 54px
        %item-title
            font-size: 30px
        .section-content
            padding: 100px 30px 0
        .first_section
            &-content
                &-company_name
                    font-size: 130px
        .second_section
            &-content
                &-features
                    padding: 25px 0 0 5%
                    &-item
                        &:nth-of-type(2n)
                            padding-left: 9%
                        ul
                            li:not(:last-of-type)
                                margin-bottom: 10px
                            li
                                font-size: 14px
                                &:before
                                    top: 10px
                    &-item:first-of-type
                        margin-bottom: 40px
        .third_section
            &-content
                &-solutions
                    padding: 25px 0 0 5%
                    &-item
                        &-find_out
                            right: calc(150% - 200px + 15px)
                        &-description
                            font-size: 20px
                            padding-left: 9%
                    &-item:not(:last-of-type)
                        margin-bottom: 40px
        .fourth_section
            &-content
                &-features
                    font-size: 18px
                    padding-left: 4%
                    &-item:nth-of-type(2n)
                        padding-left: 9%

    @media screen and (max-width: 1200px)
        .first_section-content-bottom span
            margin-right: 0
        .second_section-content-features,
        .third_section-content-solutions,
        .fourth_section-content-features
            padding-left: 3%
        .second_section-content-features-item:nth-of-type(2n),
        .third_section-content-solutions-item-description,
        .fourth_section-content-features-item:nth-of-type(2n)
            padding-left: 25px

    @media screen and (max-width: 992px)
        %section-title
            font-size: 42px
        %item-title
            font-size: 22px
        .first_section
            &-content
                &-company_name
                    font-size: 120px
                &-bottom
                    span
                        font-size: 16px
        .second_section
            &-content
                &-features
                    padding-left: 5%
                    &-item
                        ul
                            li
                                font-size: 12px
                                &:before
                                    top: 8px
                    &-item:first-of-type
                        margin-bottom: 10px
        .third_section
            &-content
                &-solutions
                    padding-left: 5%
                    &-item
                        &-find_out
                            font-size: 20px
                            top: 0
                        &-description
                            font-size: 16px
                    &-item:not(:last-of-type)
                        margin-bottom: 10px
        .fourth_section
            &-content
                &-features
                    font-size: 16px

    @media screen and (max-width: 769px)
        .page_footer:before
            width: 100%
            left: 0
        %section-title
            font-size: 36px
        %item-title
            font-size: 30px
        .section
            height: fit-content
            &-content
                padding: 40px 20px 0
        .first_section
            height: 100vh
            &-content
                padding: 0 20px
                &-company_name
                    font-size: 95px
                    margin-top: 20vh
                    &-bg
                        margin-top: 20vh

                &-bottom
                    &-item
                        &:nth-of-type(2)
                            padding-left: 75px
        .second_section
            &-content
                &-features
                    padding: 40px 0 0 0
                    &-item
                        margin-bottom: 40px
                        ul
                            li:not(:last-of-type)
                                margin-bottom: 10px
                            li
                                font-size: 16px
                                &:before
                                    top: 11px
                        &:nth-of-type(2n)
                            padding-left: 35px
                    &-item:first-of-type
                        margin-bottom: 40px
        .third_section
            &-content
                &-solutions
                    padding: 40px 0
                    &-item
                        margin-bottom: 40px!important
                        &-find_out
                            bottom: -100%
                            margin-bottom: 7px
                        &-find_out
                            min-width: 100%
                            right: 0
                        &-description
                            font-size: 20px
                            margin-left: 0
                            padding-left: 35px
        .fourth_section
            &-content
                &-features
                    font-size: 18px
                    padding: 0
                    &-item
                        padding: 0
                        margin-bottom: 40px
                        &:first-of-type
                            margin-bottom: 40px
                        &:nth-of-type(2n)
                            padding-left: 35px
                &-title_wrap
                    margin-bottom: 40px
                    &-promo
                        margin-bottom: 20px

    @media screen and (max-width: 570px)
        .image_background
            display: none
        .section
            height: fit-content
        .section-content
            padding: 0 20px
        .first_section
            height: 560px
            &-content
                padding: 0
                &-company_name
                    align-self: flex-end
                    display: flex
                    margin-bottom: 40px
                    font-size: 46px
                    line-height: inherit
                    -webkit-text-stroke: 1px #fff
                    margin-left: 20px
                    &-bg
                        margin-left: 22px
                &-bottom
                    display: none
        .second_section-content
            padding-top: 30px
            &-features-item
                min-width: 100%
                &:nth-of-type(2n)
                    padding-left: 0
        .third_section-content
            padding-top: 30px
            padding-bottom: 30px
            &-solutions
                &-item:last-of-type
                    margin-bottom: 40px
                &-item
                    display: flex
                    flex-direction: column
                    height: fit-content
                    &-find_out
                        bottom: -60%
                    &-title
                        min-width: 100%
                    &-description
                        min-width: 100%
                        margin: 10px 0 0 0
                        padding-left: 0
        .fourth_section-content
            padding-top: 30px
            &-title_wrap
                margin-bottom: 20px
            &-features-item
                min-width: 100%
                margin-bottom: 20px
                &:nth-of-type(2n)
                    padding-left: 0
            &-features-item:first-of-type
                margin-bottom: 20px
        .page_footer:before
            width: calc(100% + 40px)
            left: -20px!important

    @media screen and (min-width: 575px)
        .wrapped
            white-space: normal!important


    @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none)
        .ie-dark-title
                text-shadow: 1px 1px #ffffff, 1px -1px #ffffff, -1px 1px #ffffff, -1px -1px #ffffff
                width: 100%
                color: rgba(47, 47, 50, 1)!important
                font-family:  Helvetica
        .ie-darkbg
                transition: color, width 0.2s!important
                color: white!important
                background: transparent!important
                margin-left: 2px
                font-family:  Helvetica
        .ie-image
                top: 50px
        .ie-light-title
                text-shadow: 1px 1px #898a94, 1px -1px #898a94, -1px 1px #898a94, -1px -1px #898a94
                width: 100%
                color: #f1f1f1 !important
                font-family:  Helvetica
                padding-left: 1px

        .ie-grey-title
                text-shadow: 1px 1px #898a94, 1px -1px #898a94, -1px 1px #898a94, -1px -1px #898a94
                width: 100%
                color: #2f2f32!important
                font-family:  Helvetica
                padding-left: 1px

        .ie-lightbg
                transition: color, width 0.2s!important
                color: #898a94!important
                background: transparent!important
                font-family:  Helvetica
                left: 1px!important
        .ie-white-title
                text-shadow: 1px 1px #898a94, 1px -1px #898a94, -1px 1px #898a94, -1px -1px #898a94
                width: 100%
                color: #fff !important
                font-family:  Helvetica
                padding-left: 1px
        .ie-wrap
            word-break: break-all
        .fourth_section-content-title_wrap-promo
            font-size: 54px

    @media screen and (max-width: 375px)
        .first_section-content-company_name
            font-size: 40px
    @media screen and (max-width: 350px)
        .first_section-content-company_name
            font-size: 35px
</style>
